/* PEX computação em nuvem */
@import url('https://fonts.googleapis.com/css2?family=Krona+One&family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

html {
  zoom: 0.8;
}

/* SLIDE */

.descricao {
  opacity: 0;
  transform: translateX(-100px);
  transition:
    opacity 1s ease,
    transform 1s ease;
}

.descricao.show {
  opacity: 1;
  transform: translateX(0);
}

/* SLIDE */

html {
  scroll-behavior: smooth;
}

a,
a:visited,
a:hover,
a:active {
  text-decoration: none;
}

:root {
  --cor-primaria: #100a05;
  --cor-secundaria: #f2e9e1;
  --cor-terciaria: #f28e30;
  --cor-hover: #99581c;

  --fonte-primaria: 'Krona One', serif;
  --fonte-secundaria: 'Montserrat', serif;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  background-image: url('../assets/nuuvem1.png');
  background-size: cover;
  background-position: top;
  background-repeat: no-repeat;
  box-sizing: border-box;
  background-color: var(--cor-secundaria);
  color: var(--cor-secundaria);
  background-attachment: fixed;
}

/* animação ícone casa */

.cabecalho_home {
  display: flex;
  text-decoration: none;
  cursor: pointer;
  position: relative;
  justify-content: flex-start;
}

.cabecalho_home::after {
  content: '';
  background-color: var(--cor-terciaria);
  height: 3px;
  width: 0%;
  display: block;
  transition: width 0.3s;
  position: absolute;
  bottom: -5px;
  left: 50%;
  transform: translateX(-50%);
}

.cabecalho_home:hover::after {
  width: 100%;
}

.cabecalho_home img {
  width: 30px;
  height: auto;
  display: inline-block;
}

/* FIM DA ANIMAÇÃO ÍCONE CASA */

/* ACRESCENTADO IN THE LAST VERSION*/
/* Deixa o cabeçalho fixo no topo */
header.cabecalho {
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 1000;
  background: transparent;
  transition:
    background 0.4s ease,
    box-shadow 0.4s ease;
}

header.cabecalho.scroll {
  background: rgba(0, 0, 0, 0.85);
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.4);
  padding: 0.5% 10%;
}

.cabecalho {
  display: flex;
  padding: 2% 10%;
  /* Padding vertical grande no estado inicial */
  position: relative;
  justify-content: space-between;
  align-items: center;
  transition: padding 0.3s ease;
}

.apresentacao {
  margin-top: 100px;
}

/* FIM ACRESCENTADO IN THE LAST VERSION*/

.cabecalho_link::after {
  content: '';
  background-color: var(--cor-terciaria);
  height: 3px;
  width: 0%;
  display: block;
  transition: 0.3s;
  margin: 0 auto;
}

.cabecalho_link:hover::after {
  width: 100%;
}

header {
  background-position: center;
  background-size: cover;
  background-attachment: fixed;
}

.cabecalho {
  display: flex;
  padding: 2% 10%;
  position: relative;
  justify-content: space-between;
  align-items: center;
}

.cabecalho_menu {
  display: flex;
  gap: 25px;
  margin-left: auto;
  /* padding-right: 100px; */
}

.cabecalho_link {
  font-family: var(--fonte-secundaria);
  font-weight: 600;
  font-size: 1.5rem;
  color: var(--cor-terciaria);
  text-decoration: none;
  cursor: pointer;
  position: relative;
  justify-content: end;
}

body {
  /* height: 100vh; */
  flex-wrap: wrap;
  box-sizing: border-box;
  background-color: var(--cor-primaria);
  color: var(--cor-secundaria);
}

.titulo-destaque {
  color: var(--cor-terciaria);
}

.titulo-destaque_1 {
  color: var(--cor-terciaria);
  font-family: var(--fonte-primaria);
}

.titulo-riscos {
  color: #ff0000;
}

.aws_texto {
  color: #ff9900;
}

.azure_texto {
  color: var(--cor-terciaria);
}

.google_texto_1 {
  color: #4285f4;
}

.google_texto_2 {
  color: #ea4335;
}

.google_texto_3 {
  color: #fbbc05;
}

.google_texto_4 {
  color: #4285f4;
}

.google_texto_5 {
  color: #34a853;
}

.google_texto_6 {
  color: #ea4335;
}

.apresentacao {
  padding: 5% 15%;
  display: flex;
  align-items: center;
  justify-content: left;
  text-align: left;
  color: var(--cor-secundaria);
}

.descricao {
  width: auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  font-family: var(--fonte-primaria);
}

.apresentacao_conteudo_titulo {
  font-size: 2rem;
  font-family: var(--fonte-primaria);
  margin-top: 40px;
  line-height: 2;
}

.botao {
  margin-top: 83px;
  display: flex;
  justify-content: center;
  width: 100%;
}

/* Animação botão scroll */

.button {
  width: 38px;
  height: 65px;
  padding: 2px;
  border: 1px var(--cor-hover);
  border-radius: 50px;
  background: var(--cor-terciaria);
  transition: all 0.3s ease-in-out;
  transform: rotate(180deg);
  display: flex;
  justify-content: center;
  scroll-margin-top: 100px;
}

.svg {
  width: 22px;
  height: 62px;
  transform: rotate(180deg);
}

.button:hover {
  transform: scale(-1.2);
}

/*.button:focus {
    height: 0px;
    width: 0px;
    padding: 0px;
    border: 0px;  FAZ O BOTÃO SUMIR DEPOIS QUE CLICA
}*/

.button:focus>.svg {
  display: none;
  height: 0px;
}

/* Fim da animação botão scroll */

/* Parte do conteúdo */

.curva {
  width: 100%;
  height: 100px;
  background-color: var(--cor-secundaria);
  border-top-left-radius: 100% 50px;
  border-top-right-radius: 100% 50px;
  margin-top: 50px;
  flex-wrap: wrap;
}

.texto_content {
  background-color: var(--cor-secundaria);
  color: var(--cor-primaria);
  padding: 60px 15%;
  font-family: var(--fonte-secundaria);
}

.title_content {
  font-size: 2rem;
  font-family: var(--fonte-primaria);
  text-align: center;
  margin-bottom: 40px;
}

.title_content_2 {
  font-size: 2rem;
  font-family: var(--fonte-primaria);
  text-align: center;
  margin-bottom: 40px;
  margin-top: 40px;
}

.title_content_3 {
  font-size: 2rem;
  font-family: var(--fonte-primaria);
  text-align: center;
  margin-bottom: 1px;
  margin-top: 40px;
}

.title_riscos {
  font-size: 2rem;
  font-family: var(--fonte-primaria);
  text-align: center;
  margin-bottom: 40px;
  margin-top: 40px;
  color: #ff0000;
}

.content_linha {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  gap: 40px;
  flex-wrap: wrap;
}

#meuVideo {
  width: 100%;
  max-width: 640px;
  height: auto;
  border: 2px solid var(--cor-primaria);
  border-radius: 10px;
  justify-content: center;
  align-items: center;
}

.apresentacao_content {
  font-size: 1.5rem;
  font-family: var(--fonte-secundaria);
  width: 45%;
  text-align: justify;
  text-indent: 30px;
  hyphens: auto;
  text-justify: inter-word;
}

.imagem_content-1 {
  width: 50%;
  object-fit: cover;
  flex-wrap: wrap;
  border-radius: 20px;
}

.image_imp {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 40px;
  flex-wrap: wrap;
}

.image_imp-1 {
  width: 75%;
  object-fit: cover;
  border-radius: 20px;
}

.imagem_content_position {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 40px;
  flex-wrap: wrap;
}

.imagem_content-2 {
  width: 80%;
  object-fit: cover;
  flex-wrap: wrap;
  border-radius: 20px;
  justify-content: center;
}

.imagem_content_position_1 {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 40px;
  flex-wrap: wrap;
}

.imagem_content-3 {
  width: 35%;
  object-fit: cover;
  flex-wrap: wrap;
  border-radius: 20px;
  justify-content: center;
}

.image_security {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 40px;
  flex-wrap: wrap;
}

.image_security_1 {
  width: 50%;
  object-fit: cover;
  border-radius: 20px;
}

.apresentacao_content_2 {
  font-family: var(--fonte-secundaria);
  margin-top: 20px;
  font-size: 1.5rem;
  text-align: justify;

  display: flex;
  justify-content: space-between;
  gap: 40px;
  flex-wrap: wrap;
  text-indent: 30px;
  hyphens: auto;
  text-justify: inter-word;
}

.apresentacao_content_3 {
  font-family: var(--fonte-secundaria);
  margin-top: 20px;
  font-size: 1.5rem;
  text-align: justify;

  display: flex;
  justify-content: space-between;
  gap: 40px;
  flex-wrap: wrap;
  hyphens: auto;
  text-justify: inter-word;
}

.apresentacao_content_4 {
  font-family: var(--fonte-secundaria);
  margin-top: 20px;
  font-size: 1.5rem;
  text-align: justify;

  display: flex;
  justify-content: center;
  gap: 40px;
  flex-wrap: wrap;
}

.lista_ordenada {
  font-family: var(--fonte-secundaria);
  margin-top: 20px;
  font-size: 1.5rem;
  text-align: justify;

  /* REMOVA ESSAS LINHAS */
  /* display: flex; */
  /* justify-content: space-between; */
  /* gap: 40px; */
  flex-wrap: wrap;
  display: flex;
  flex-direction: column;
  /* Itens em coluna (um embaixo do outro) */
  align-items: flex-start;
  /* Alinha tudo à esquerda */
  gap: 20px;
}

.div_paragraph {
  display: flex;
  flex-wrap: wrap;
}

.paragraph {
  font-family: var(--fonte-secundaria);
  font-size: 1.5rem;
  text-align: justify;
  margin: 0;
  flex-wrap: wrap;
  hyphens: auto;
  text-justify: inter-word;
}

.content_security {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  gap: 40px;
  flex-wrap: wrap;
}

.apresentacao_content_security {
  font-size: 1.5rem;
  font-family: var(--fonte-secundaria);
  width: 45%;
  text-align: justify;
  text-indent: 30px;
  hyphens: auto;
  text-justify: inter-word;
}

/* CARDS AZURE, AWS E GOOGLE CLOUD */

section.card {
  display: flex;
  align-items: center;
  justify-content: space-around;
  flex-wrap: wrap;
  width: 100%;
  height: 100%;
}

section.card {
  position: relative;
  width: 350px;
  height: 350px;
  background-color: var(--cor-secundaria);
  border-radius: 10px;
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
  perspective: 1000px;
  transition: all 0.8s cubic-bezier(0.175, 0.885, 0.32, 1.275);
  transform-origin: center;
}

.card__image {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  z-index: -1;
  transition: opacity 0.3s ease;
}

.container-cards {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
  width: 100%;
  height: 100%;
  background-color: var(--cor-secundaria);
  gap: 100px;
}

.card:hover {
  transform: scale(1.05);
  box-shadow: 0 8px 16px var(--cor-primaria);
  background-color: var(--cor-secundaria);
  color: var(--cor-secundaria);
}

.card__content {
  color: var(--cor-primaria);
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  padding: 20px;
  box-sizing: border-box;
  background-color: rgb(242, 242, 242);
  transform: rotateX(-90deg);
  transform-origin: bottom;
  transition: all 0.6s cubic-bezier(0.175, 0.885, 0.32, 1.275);
  text-align: center;
  margin-top: 50px;
}

.card:hover .card__content {
  transform: rotateX(0deg);
}

.card__title {
  margin: 0;
  padding-left: 5px;
  font-size: 24px;
  color: var(--cor-primaria);
  font-weight: 700;
  font-family: var(--fonte-primaria);
}

.card__description {
  margin: 10px 0 0;
  font-size: 17px;
  color: var(--cor-primaria);
  line-height: 1.4;
  font-family: var(--fonte-secundaria);
}

.info {
  color: var(--cor-terciaria);
  text-decoration: none;
  cursor: pointer;
  font-family: var(--fonte-primaria);
}

.info span {
  position: relative;
  display: inline-block;
}

.info span::after {
  content: '';
  background-color: var(--cor-terciaria);
  height: 3px;
  width: 0%;
  display: block;
  transition: 0.3s;
  margin: 0 auto;
}

.info span:hover::after {
  width: 100%;
}

.card:hover .card__image {
  opacity: 0.5;
}

.card__title_aws {
  margin: 0;
  padding-left: 5px;
  font-size: 24px;
  color: var(--cor-primaria);
  font-weight: 700;
  font-family: var(--fonte-primaria);
}

.card__description_aws {
  margin: 10px 0 0;
  font-size: 17px;
  color: var(--cor-primaria);
  line-height: 1.4;
  font-family: var(--fonte-secundaria);
}

.card__title_gcp {
  margin: 0;
  padding-left: 5px;
  font-size: 24px;
  color: var(--cor-primaria);
  font-weight: 700;
  font-family: var(--fonte-primaria);
}

.card__description_gcp {
  margin: 10px 0 0;
  font-size: 17px;
  color: var(--cor-primaria);
  line-height: 1.4;
  font-family: var(--fonte-secundaria);
}

/* CONTINUAÇÃO CONTEÚDO */

.continuacao_content {
  width: 100%;
  height: 100px;
  background-color: var(--cor-secundaria);
  flex-wrap: wrap;
}

/* TABELA DE COMPARAÇÃO */

.tabela-comparacao {
  width: 100%;
  border-collapse: collapse;
  text-align: justify;
  font-family: var(--fonte-secundaria);
  table-layout: fixed;
}

.tabela-comparacao th,
.tabela-comparacao td {
  border: 1px solid var(--cor-primaria);
  padding: 15px;
  background-color: var(--cor-secundaria);
  color: var(--cor-primaria);
  hyphens: auto;
  word-wrap: break-word;
  font-size: 1.5rem;
  font-family: var(--fonte-secundaria);
}

.tabela-comparacao thead th {
  background-color: var(--cor-terciaria);
  color: var(--cor-secundaria);
  font-weight: bold;
  text-align: center;
  font-size: 1.5rem;
  font-family: var(--fonte-primaria);
}

.divisoria {
  border: none;
  height: 2px;
  background-color: #ccc;
  margin: 40px 0;
}

/* ----------------------- Animação do Botão Pagina Inicial -----------------------------*/
button {
  font-family: var(--fonte-primaria);
  font-size: 20px;
  background: var(--cor-terciaria);
  color: white;
  fill: var(--cor-hover);
  padding: 0.7em 1em;
  padding-left: 0.9em;
  margin-top: 20%;
  display: flex;
  align-items: center;
  cursor: pointer;
  border: none;
  border-radius: 15px;
  font-weight: 1000;
}

button span {
  display: block;
  margin-left: 0.3em;
  transition: all 0.3s ease-in-out;
}

button svg {
  display: block;
  transform-origin: center center;
  transition: transform 0.3s ease-in-out;
}

button:hover {
  background: var(--cor-hover);
}

button:hover .svg-wrapper {
  transform: scale(1.5);
  transition: 0.5s linear;
}

button:hover svg {
  transform: translateX(1.2em) scale(1.1);
  fill: #fff;
}

button:hover span {
  opacity: 0;
  transition: 0.5s linear;
}

button:active {
  transform: scale(0.95);
}

/* ----------------------------- Término da animação ----------------------------- */

.linksRef {
  text-decoration: none;
  color: var(--cor-terciaria);
}

.linksRef:hover {
  text-decoration: underline;
  color: var(--cor-hover);
}

.rodape {
  padding: 10px;
  background-color: var(--cor-primaria);
  color: var(--cor-secundaria);
  font-family: var(--fonte-secundaria);
  font-size: 0.95rem;
  font-weight: 400;
  text-align: center;
  align-items: center;
}

@media (max-width: 768px) {
  .content_linha {
    flex-direction: column;
    text-align: center;
  }

  .content_linha img {
    width: 100%;
  }

  .content_linha p {
    width: 100%;
  }

  .content_security {
    flex-direction: column;
    text-align: center;
  }

  .content_security img {
    width: 100%;
  }

  .content_security p {
    width: 100%;
  }

  /* TABELA */

  .tabela-comparacao,
  .tabela-comparacao thead,
  .tabela-comparacao tbody,
  .tabela-comparacao tr,
  .tabela-comparacao td {
    display: block;
    width: 100%;
  }

  .tabela-comparacao thead {
    display: none;
  }

  .tabela-comparacao tr {
    margin-bottom: 30px;
    border: 1px solid var(--cor-primaria);
    background-color: var(--cor-secundaria);
    padding: 10px;
  }

  .tabela-comparacao td {
    border: none;
    padding: 15px 10px 10px 10px;
    position: relative;
    background-color: var(--cor-secundaria);
    color: var(--cor-primaria);
  }

  .tabela-comparacao td::before {
    content: attr(data-label);
    display: block;
    background-color: var(--cor-terciaria);
    color: var(--cor-secundaria);
    font-weight: bold;
    font-family: var(--fonte-primaria);
    font-size: 1.4rem;
    padding: 8px 10px;
    margin: -15px -10px 10px -10px;
    border-bottom: 1px solid var(--cor-primaria);
  }

  /* LINK */

  .linksRef {
    text-decoration: none;
    color: var(--cor-terciaria);
    display: inline-block;
    word-break: break-all;
    font-size: 1.4rem;
    max-width: 100%;
  }

  .linksRef:hover {
    text-decoration: underline;
    color: var(--cor-hover);
  }
}

/* PRIMEIRA PARTE */

@media (max-width: 768px) {
  .descricao {
    width: 100%;
    padding: 0 20px;
    margin-top: 20px;
    text-align: center;
  }

  .apresentacao_conteudo_titulo {
    font-size: 2rem;
    line-height: 1.4;
    margin-top: 25px;
  }
}

@media (max-width: 480px) {
  .apresentacao_conteudo_titulo {
    font-size: 1.8rem;
    line-height: 1.4;
  }
}

#qrcode {
  display: flex;
  justify-content: center;
  align-items: center;

  width: min(90vw, 500px);
  height: auto;

  margin: 3rem auto;

  object-fit: contain;
}

/* mobile */
@media (max-width: 768px) {
  #qrcode {
    width: min(95vw, 350px);
    margin: 2rem auto;
  }
}
